Subject: bug#25195: 25.1; Index backslash for escape of left-margin paren

From: Drew Adams <[email-masked]>
Date: Sat, 27 Jul 2019 09:13:25 -0700 (PDT)

> > The Emacs manual, node `Left Margin Convention', seems to be the only
> > place that the convention of a paren in column 0 is documented.  The
> > backslash escaping is not indexed however - it should be.
> 
> Hm...  Well, it does say that if you have a parent in column 0, then
> it's treated specially.  If you have
> 
> "bla bla
> \(foo bar)"
> 
> then the ( isn't in column zero, and \( => ( in this context.
> 
> So I'm not sure this is even a convention; it's just a work-around.
> And what character to use in what language to get a similar effect is
> surely language-dependent?
> 
> So I don't think this is something that needs expounding upon; closing.

(I should have said mode `Left Margin Paren'.
The title of the node is "Left Margin Convention".)

I don't understand what you're saying.

If you have a paren in column 0 then you need to
escape it, to make indentation, movement etc.
work well.

What's not a convention about that (see the title)?
But what difference does it make if you prefer to
see it as a workaround.  Users need to know about
it, which is why we document it.

And it's why we font-lock delimiters "that ought
to be quoted".  ("Ought" is a strong word, showing
that this is indeed intended as a convention.)

And it's why we have a variable to inhibit the need
for such escaping - also documented in this node.

And it's not just for a paren - same thing for other
delimiters.  E.g., in Elisp a (square) bracket.